[evolvis-commits] r7604: Fixed configuration of apache-ssl. ↵

mirabilos at evolvis.org mirabilos at evolvis.org
Thu Feb 24 15:44:25 CET 2011


Author: mirabilos
Date: 2011-02-24 15:44:25 +0100 (Thu, 24 Feb 2011)
New Revision: 7604

Modified:
   trunk/gforge_base/evolvisforge-5.1/gforge/deb-specific/install-apache.sh
   trunk/gforge_base/evolvisforge-5.1/gforge/debian/changelog
   trunk/gforge_base/evolvisforge-5.1/gforge/debian/sourceforge.postinst
Log:
Fixed configuration of apache-ssl.


Modified: trunk/gforge_base/evolvisforge-5.1/gforge/deb-specific/install-apache.sh
===================================================================
--- trunk/gforge_base/evolvisforge-5.1/gforge/deb-specific/install-apache.sh	2011-02-24 14:44:24 UTC (rev 7603)
+++ trunk/gforge_base/evolvisforge-5.1/gforge/deb-specific/install-apache.sh	2011-02-24 14:44:25 UTC (rev 7604)
@@ -15,18 +15,32 @@
 case "$1" in
     configure-files)
 	# Make sure Apache sees us
-	cp -a /etc/apache/httpd.conf /etc/apache/httpd.conf.sourceforge-new
-	perl -pi -e "s/# *LoadModule php4_module/LoadModule php4_module/gi" /etc/apache/httpd.conf.sourceforge-new
-	perl -pi -e "s/# *LoadModule ssl_module/LoadModule ssl_module/gi" /etc/apache/httpd.conf.sourceforge-new
-	perl -pi -e "s/# *LoadModule apache_ssl_module/LoadModule apache_ssl_module/gi" /etc/apache/httpd.conf.sourceforge-new
-	perl -pi -e "s/# *LoadModule env_module/LoadModule env_module/gi" /etc/apache/httpd.conf.sourceforge-new
-	perl -pi -e "s/# *LoadModule vhost_alias_module/LoadModule vhost_alias_module/gi" /etc/apache/httpd.conf.sourceforge-new
-	
-	if ! grep -q "^Include /etc/sourceforge/sf-httpd.conf" /etc/apache/httpd.conf.sourceforge-new ; then
-	    echo "### Next line inserted by Sourceforge install" >> /etc/apache/httpd.conf.sourceforge-new
-	    echo "Include /etc/sourceforge/sf-httpd.conf" >> /etc/apache/httpd.conf.sourceforge-new
+	if [ -e /etc/apache/httpd.conf ] ; then
+	    cp -a /etc/apache/httpd.conf /etc/apache/httpd.conf.sourceforge-new
+	    perl -pi -e "s/# *LoadModule php4_module/LoadModule php4_module/gi" /etc/apache/httpd.conf.sourceforge-new
+	    perl -pi -e "s/# *LoadModule ssl_module/LoadModule ssl_module/gi" /etc/apache/httpd.conf.sourceforge-new
+	    perl -pi -e "s/# *LoadModule env_module/LoadModule env_module/gi" /etc/apache/httpd.conf.sourceforge-new
+	    perl -pi -e "s/# *LoadModule vhost_alias_module/LoadModule vhost_alias_module/gi" /etc/apache/httpd.conf.sourceforge-new
+	    
+	    if ! grep -q "^Include /etc/sourceforge/sf-httpd.conf" /etc/apache/httpd.conf.sourceforge-new ; then
+		echo "### Next line inserted by Sourceforge install" >> /etc/apache/httpd.conf.sourceforge-new
+		echo "Include /etc/sourceforge/sf-httpd.conf" >> /etc/apache/httpd.conf.sourceforge-new
+	    fi
 	fi
 
+	if [ -e /etc/apache-ssl/httpd.conf ] ; then
+	    cp -a /etc/apache-ssl/httpd.conf /etc/apache-ssl/httpd.conf.sourceforge-new
+	    perl -pi -e "s/# *LoadModule php4_module/LoadModule php4_module/gi" /etc/apache-ssl/httpd.conf.sourceforge-new
+	    perl -pi -e "s/# *LoadModule apache_ssl_module/LoadModule apache_ssl_module/gi" /etc/apache-ssl/httpd.conf.sourceforge-new
+	    perl -pi -e "s/# *LoadModule env_module/LoadModule env_module/gi" /etc/apache-ssl/httpd.conf.sourceforge-new
+	    perl -pi -e "s/# *LoadModule vhost_alias_module/LoadModule vhost_alias_module/gi" /etc/apache-ssl/httpd.conf.sourceforge-new
+	    
+	    if ! grep -q "^Include /etc/sourceforge/sf-httpd.conf" /etc/apache-ssl/httpd.conf.sourceforge-new ; then
+		echo "### Next line inserted by Sourceforge install" >> /etc/apache-ssl/httpd.conf.sourceforge-new
+		echo "Include /etc/sourceforge/sf-httpd.conf" >> /etc/apache-ssl/httpd.conf.sourceforge-new
+	    fi
+	fi
+
 	# Make sure pgsql,ldap,gd and mcrypt are enabled in the PHP config files
 	cp -a /etc/php4/apache/php.ini /etc/php4/apache/php.ini.sourceforge-new
 	cp -a /etc/php4/cgi/php.ini /etc/php4/cgi/php.ini.sourceforge-new

Modified: trunk/gforge_base/evolvisforge-5.1/gforge/debian/changelog
===================================================================
--- trunk/gforge_base/evolvisforge-5.1/gforge/debian/changelog	2011-02-24 14:44:24 UTC (rev 7603)
+++ trunk/gforge_base/evolvisforge-5.1/gforge/debian/changelog	2011-02-24 14:44:25 UTC (rev 7604)
@@ -10,8 +10,9 @@
     list or reverse dependencies (since 100 is the id of "None", and all
     tasks depend on this "None" by default.  Note: there seems to be no
     more dependencies in the artifact manager.
+  * [Roland] Fixed configuration of apache-ssl.
 
- -- Roland Mas <lolando at debian.org>  Fri, 22 Mar 2002 14:48:15 +0100
+ -- Roland Mas <lolando at debian.org>  Mon, 25 Mar 2002 13:22:25 +0100
 
 sourceforge (2.6-0+8) unstable; urgency=low
 

Modified: trunk/gforge_base/evolvisforge-5.1/gforge/debian/sourceforge.postinst
===================================================================
--- trunk/gforge_base/evolvisforge-5.1/gforge/debian/sourceforge.postinst	2011-02-24 14:44:24 UTC (rev 7603)
+++ trunk/gforge_base/evolvisforge-5.1/gforge/debian/sourceforge.postinst	2011-02-24 14:44:25 UTC (rev 7604)
@@ -80,7 +80,8 @@
     	
         # Patch Apache configuration files
 	/usr/lib/sourceforge/bin/install-apache.sh configure-files
-	propose_update /etc/apache/httpd.conf
+	[ -e /etc/apache/httpd.conf ] && propose_update /etc/apache/httpd.conf
+	[ -e /etc/apache-ssl/httpd.conf ] && propose_update /etc/apache-ssl/httpd.conf
 	propose_update /etc/php4/apache/php.ini
 	propose_update /etc/php4/cgi/php.ini
 



More information about the evolvis-commits mailing list